The Postal Regulatory Commission has approved the United States Postal Service’s (USPS) proposed postage rate adjustments, which will take effect on July 12, 2026. In line with these changes, our per-mailpiece pricing will be updated accordingly. Updated Pricing

Use Cases
Log In

List campaigns

GET /v2/campaigns

Returns a paginated list of campaigns.

Query Parameters

page
integer
Optional
Defaults to 1
Page number.
per_page
integer
Optional
Defaults to 10
Items per page.
targeting_method
string
Optional
Defaults to all
Filter by targeting method: recipients, map, all.
template_type
string
Optional
Defaults to all
Filter by template type: own_design, preset, all .
status
string
Optional
Defaults to all
Filter by status: draft, sent, all.
search
string
Optional
Search string to filter campaigns.
sent_at[from]
time
Optional
Start of the sent_at range.
sent_at[to]
time
Optional
End of the sent_at range.
meta_data[][key]
string
Optional
Metadata key to match.
meta_data[][value]
string
Optional
Metadata value to match.
curl -X GET https://www.realmailers.com/v2/campaigns \
  -H 'Authorization: Bearer YOUR_API_KEY USER_EMAIL'
{
  items: Array(Campaign)
  current_page: Number
  total_count: Number
  total_pages: Number
}